using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.BI
{
    /// <summary>
    /// （H=>Home）各部门隐患整改率
    /// </summary>
    [Description("各部门隐患整改率")]
    public class T_BI_HRISKCHANGE_PEC : MesEntityBase
    {
        /// <summary>
        /// 年份
        /// </summary>
        [Description("年份")]
        public int YEAR { get; set; }

        /// <summary>
        /// 月份
        /// </summary>
        [Description("月份")]
        public int MONTH { get; set; }

        /// <summary>
        /// 年月（2023年9月）
        /// </summary>
        [Description("年月")]
        [DataFieldLength(50)]
        public string YEARMONTH { get; set; }

        /// <summary>
        /// 生产单元
        /// </summary>
        [Description("生产单元")]
        public FMProductionUnit? MINETYPE { get; set; }

        /// <summary>
        /// 部门层级
        /// </summary>
        [Description("部门层级")]
        public FMDepartmentType DEPARTMENT_TYPE { get; set; }

        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门ID")]
        public Guid DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        [Description("部门名称")]
        [DataFieldLength(200)]
        public string DEPARTMENT_NAME { get; set; }

        /// <summary>
        /// 整改率  95.10
        /// </summary>
        [Description("整改率")]
        public decimal CHANGE_PERCENT { get; set; }

        /// <summary>
        /// 整改率 95.10%
        /// </summary>
        [Description("整改率")]
        [DataFieldLength(50)]
        public string CHANGE_PERCENT_SHOW { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        [Description("数量")]
        public int COUNT { get; set; }

        /// <summary>
        /// 已处理数量
        /// </summary>
        [Description("已处理数量")]
        public int COUNT_DEL { get; set; }
    }
}
